#
# spec file for package python-pyperclip
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyperclip
Version:        1.6.0
Release:        150000.3.3.1
Summary:        A clipboard module for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/asweigart/pyperclip
Source0:        https://pypi.io/packages/source/p/pyperclip/pyperclip-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A clipboard module for Python. It only handles plain text.

%prep
%setup -q -n pyperclip-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/pyperclip
%{python_sitelib}/pyperclip-%{version}*-info

%changelog
* Tue Sep 27 2022 mcepl@suse.com
- Loose the filelist for the package info to avoid FTBFS on
  SLE-15-SP5 (bsc#1203743).
* Tue Feb 13 2018 9+suse@cirno.systems
- Update to version 1.6.0
  * Capture stderr of xclip subprocess, fixed issue where emojii
    cut off the last character, allowed selection between PRIMARY
    and CLIPBOARD for xsel and xclip
  * Pyperclip works with qtpy module, set pyqt as lower priority
    than xsel/xclip/klipper, add support for PyQt5
  * Fixed the encoding that was set to "uft-8"
  * Added lazy loading
* Sat Mar 11 2017 jengelh@inai.de
- Trim redundant words from descriptions.
* Mon Mar  6 2017 aloisio@gmx.com
- Update to version 1.5.27
  * Disable broken cygwin implementation until issue 55 can be
    fixed
  * Fix #51, Replace wcscpy_s with memmove for Windows XP.
  * Fix #53, PEP8 changes, STRING_FUNCTION rename
- Converted to single-spec
- Updated source URL, license and homepage
* Sun Jan  3 2016 freitag@opensuse.org
- Update to upstream version 1.5.24
* Mon Aug 24 2015 freitag@opensuse.org
- First initial package of version 1.5.11
